local old_weapon_tweak_data = NewRaycastWeaponBase.weapon_tweak_data
function NewRaycastWeaponBase:weapon_tweak_data(...)
	local weapon_tweak_data = old_weapon_tweak_data(self, ...)

   	 if not self._parts or self._name_id ~= "m95" then
        	return weapon_tweak_data 
   	 end

	if self._parts.wpn_fps_snp_m95_lower_iuhM107 then weapon_tweak_data.weapon_hold = "m95iuhM107" end
	if self._parts.wpn_fps_snp_m95_lower_iuhM107 then weapon_tweak_data.sounds.fire = "iuhM107_fire" end
	if self._parts.wpn_fps_snp_m95_lower_iuhM107 then weapon_tweak_data.animations.reload_name_id = "m95iuhM107MagShort" end
	if self._parts.wpn_fps_snp_m95_lower_iuhM107 then weapon_tweak_data.kick.steelsight = {1.5,2,0.2,0.2} end

	if self._parts.wpn_fps_snp_m95_lower_iuhM107_10rd then weapon_tweak_data.weapon_hold = "m95iuhM107" end
	if self._parts.wpn_fps_snp_m95_lower_iuhM107_10rd then weapon_tweak_data.sounds.fire = "iuhM107_fire" end
	if self._parts.wpn_fps_snp_m95_lower_iuhM107_10rd then weapon_tweak_data.animations.reload_name_id = "m95iuhM107" end
	if self._parts.wpn_fps_snp_m95_lower_iuhM107_10rd then weapon_tweak_data.kick.steelsight = {1.5,2,0.2,0.2} end

	if self._parts.wpn_fps_snp_m95_lower_iuhM107_neon then weapon_tweak_data.weapon_hold = "m95iuhM107" end
	if self._parts.wpn_fps_snp_m95_lower_iuhM107_neon then weapon_tweak_data.sounds.fire = "iuhM107_fire" end
	if self._parts.wpn_fps_snp_m95_lower_iuhM107_neon then weapon_tweak_data.animations.reload_name_id = "m95iuhM107" end
	if self._parts.wpn_fps_snp_m95_lower_iuhM107_neon then weapon_tweak_data.kick.steelsight = {1.5,2,0.2,0.2} end
	if self._parts.wpn_fps_snp_m95_lower_iuhM107_neon then weapon_tweak_data.do_shotgun_push = true end	

	return weapon_tweak_data
end

Hooks:PostHook(NewRaycastWeaponBase, "_update_stats_values", "iuhM95M107_UpdateStats", function(self, disallow_replenish, ammo_data)

	if self._parts.wpn_fps_snp_m95_lower_iuhM107 or self._parts.wpn_fps_snp_m95_lower_iuhM107_neon or self._parts.wpn_fps_snp_m95_lower_iuhM107_10rd then
		self._shell_ejection_effect_table = {
				effect = Idstring("effects/m95iuhM107_shell"),
				parent = self._obj_shell_ejection
			}
	end
end)